### Method

# Gtk EntryBufferset_max_length

#### Declaration [src]

    void
    gtk_entry_buffer_set_max_length (
      GtkEntryBuffer* buffer,
      int max_length
    )

#### Description [src]

Sets the maximum allowed length of the contents of the buffer.

If the current contents are longer than the given length, then they will be truncated to fit.

Sets property | `Gtk.EntryBuffer:max-length`

#### Parameters

`max_length`

  Type: `int`

  The maximum length of the entry buffer, or 0 for no maximum. (other than the maximum length of entries.) The value passed in will be clamped to the range 0-65536.